#!/usr/bin/env python

import sys
import urllib
import pycurl
import json

## Callback function invoked when body data is ready
def body(buf):
    data = json.loads(buf)
    access_token = data["access_token"]
    print "Requisitando access_token: " + access_token
 
# Dados para authenticacao
pf = {'client_id':'demoapp', 'client_secret':'demopass'}
    
c = pycurl.Curl()
c.setopt(c.URL, 'http://api.directcallsoft.com/request_token')
c.setopt(c.POSTFIELDS, urllib.urlencode(pf))
c.setopt(c.VERBOSE, 0)
c.setopt(pycurl.WRITEFUNCTION, body)
c.perform()
c.close()
