#!/usr/bin/env python

import sys
import urllib
import pycurl
import json

## processes the token
def parserToken(buf):
    global access_token
    data = json.loads(buf)
    access_token = data["access_token"]
    
## Function request token
def requestToken(config):
    c = pycurl.Curl()
    c.setopt(c.URL, 'http://api.directcallsoft.com/request_token')
    c.setopt(c.POSTFIELDS, urllib.urlencode(config))
    c.setopt(c.VERBOSE, 0)
    c.setopt(pycurl.WRITEFUNCTION, parserToken)
    c.perform()
    c.close()

## Callback function invoked when body data is ready
def body(buf):
    print "Retorno em json: " + buf

## Call function webservice Directcall
def callAction(url, data):
    c = pycurl.Curl()
    c.setopt(c.URL, 'http://api.directcallsoft.com' + url)
    c.setopt(c.POSTFIELDS, urllib.urlencode(data))
    c.setopt(c.VERBOSE, 0)
    c.setopt(pycurl.WRITEFUNCTION, body)
    c.perform()
    c.close()

## Dados para authenticacao
config = {'client_id':'demoapp', 'client_secret':'demopass'}
requestToken(config)

## Dados para solicitar uma chamada
data = {'access_token':access_token, 'code':'ee9d75d5e8a263f85410ce3ce5959d9dc61cdb9b', 'format':'json'}

##  URL Call
url = "/sms/status";

## Faz a chamada
callAction(url, data)

